{
  pkgs,
  inputs,
  config,
  ...
}: {
  imports = with inputs; [
    stylix.nixosModules.stylix
  ];
  environment.systemPackages = with pkgs; [
    nerd-fonts.iosevka
  ];
  stylix = {
    enable = true;
    base16Scheme = "${pkgs.base16-schemes}/share/themes/nord-light.yaml";
    polarity = "light";
    cursor = {
      package = pkgs.bibata-cursors;
      name = "Bibata-Modern-Ice";
      size = 24;
    };
    image = builtins.fetchurl {
      url = "https://w.wallhaven.cc/full/e7/wallhaven-e7djlk.png";
      name = "wallhaven-e7djlk.png";
      sha256 = "1mwvnmflp0z1biyyhfz7mjn7i1nna94n7jyns3na2shbfkaq7i0h";
    };
    opacity.terminal = 0.9;
    fonts = {
      sizes = {
        applications = 13;
        desktop = 14;
        popups = 13;
        terminal = 15;
      };
      serif = {
        package = pkgs.nerd-fonts.iosevka;
        name = "Iosevka Nerd Font Propo";
      };
      sansSerif = config.stylix.fonts.serif;
      monospace = {
        package = pkgs.nerd-fonts.iosevka-term;
        name = "IosevkaTerm Nerd Font Mono";
      };
      emoji = {
        package = pkgs.noto-fonts-emoji;
        name = "Noto Color Emoji";
      };
    };
  };
}
